using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class System_GrfPrinter_PrintTemplate_Design_Save : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string Report = Request.QueryString["Report"];
        byte[] FormData = Request.BinaryRead(Request.TotalBytes);

        //写入上传数据，最后保存到文件
        string strPathFile = Server.MapPath(Report);// +@"\..\grf\" + Request.QueryString["Report"];
        Session["strPathFile"] = strPathFile;
        BinaryWriter bw = new BinaryWriter(File.Create(strPathFile));
        bw.Write(FormData);
        bw.Close();
    }
}